Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Try Vanilla Forums Cloud product
Please upgrade to 2.3 here. The 2.2 and earlier branches are no longer being updated.

Upgrade from 2.1 to 2.2 failed: Fatal Error in Gdn_Database.Connection();

edited November 2015 in Vanilla 2.0 - 2.3

I installed 2.2, upgrading from 2.1 and am getting this error when I enable debug mode. Not sure what to do or what this means:

Fatal Error in Gdn_Database.Connection();

An error occurred while attempting to connect to the database
could not find driver
The error occurred on or near: /home2/pbisworl/public_html/PBISWorld-forum/library/database/class.database.php
171:             if ($Timeout) {
172:                 throw new Exception(errorMessage('Timeout while connecting to the database', $this->ClassName, 'Connection', $ex->getMessage()), 504);
173:             }
174: 
175:             throw new Exception(errorMessage('An error occurred while attempting to connect to the database', $this->ClassName, 'Connection', $ex->getMessage()), 500);
176:         }
177: 
178:         return $PDO;
179:     }
Backtrace:
[/home2/pbisworl/public_html/PBISWorld-forum/library/database/class.database.php:102] Gdn_Database->newPDO();
[/home2/pbisworl/public_html/PBISWorld-forum/library/database/class.database.php:494] Gdn_Database->connection();
[/home2/pbisworl/public_html/PBISWorld-forum/library/database/class.database.php:368] Gdn_Database->slave();
[/home2/pbisworl/public_html/PBISWorld-forum/library/database/class.sqldriver.php:1663] Gdn_Database->query();
[/home2/pbisworl/public_html/PBISWorld-forum/library/database/class.sqldriver.php:884] Gdn_SQLDriver->query();
[/home2/pbisworl/public_html/PBISWorld-forum/library/core/class.model.php:471] Gdn_SQLDriver->getWhere();
[/home2/pbisworl/public_html/PBISWorld-forum/library/core/class.model.php:430] Gdn_Model->getWhere();
[/home2/pbisworl/public_html/PBISWorld-forum/applications/dashboard/models/class.usermodel.php:1315] Gdn_Model->getID();
[/home2/pbisworl/public_html/PBISWorld-forum/applications/dashboard/models/class.usermodel.php:1547] UserModel->getID();
[/home2/pbisworl/public_html/PBISWorld-forum/library/core/class.session.php:380] UserModel->getSession();
[/home2/pbisworl/public_html/PBISWorld-forum/library/core/class.auth.php:59] Gdn_Session->start();
[/home2/pbisworl/public_html/PBISWorld-forum/bootstrap.php:237] Gdn_Auth->startAuthenticator();
[/home2/pbisworl/public_html/PBISWorld-forum/index.php:32] PHP::require_once();

Comments

  • whu606whu606 I'm not a SuperHero; I just like wearing tights... Moderator

    @kittyridge

    Welcome to the community.

    Could you say what version of PHP you are running?

  • peregrineperegrine MVP
    edited November 2015

    Apparently it can't find the driver

    make sure you have this module installed

    pdo_mysql

    in your php.ini or one of conf files you may need to point where your extensions are.

    perhaps you upgraded php but didn't set drivers.

    list your steps of what you did to install and if things worked correctly prior to updating vanilla.

    run phpinfo() and it should provide necessary info.

    list your Operating System
    what version of mysql
    as as whu606 says your version of php

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

    vrijvlinder
  • Thanks for everyone's help and suggestions. I am on hostmonster and was running php 5.6 according to my php config. I looked into my php.ini file which indicated php 5.4, so I regenerated my php.ini file and that seems to have cleared everything up. Thanks for pointing in in the right direction and helping me to get my forum back up and running: http://www.pbisworld.com/forum/!

    hgtonight
Sign In or Register to comment.